<?php
if (!defined('TYPO3_MODE')) {
    die ('Access denied.');
}

$temporaryColumns = Array (
    'tx_etracker_areas' => Array (
        'exclude' => 1,
        'l10n_mode' => 'mergeIfNotBlank',
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_areas',
        'config' => array (
            'type' => 'select',
            'renderMode' => 'tree',
            'treeConfig' => array(
                'parentField' => 'parent_area',
                'appearance' => array(
                    'showHeader' => TRUE,
                    'allowRecursiveMode' => TRUE,
                ),
            ),
            'MM' => 'tx_etracker_pages_areas_mm',
            'MM_match_fields' => array(
                'tablenames' => 'tx_etracker_domain_model_area',
                'ident' => 'pages_language_overlay'
            ),
            'foreign_table' => 'tx_etracker_domain_model_area',
            'foreign_table_where' => ' ORDER BY tx_etracker_domain_model_area.title',
            'size' => 10,
            'autoSizeMax' => 20,
            'minitems' => 0,
            'maxitems' => 20
        )
    ),
    'tx_etracker_target' => Array (
        'exclude' => 1,
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_target',
        'config' => Array (
            'type' => 'input',
            'eval' => 'trim',
        )
    ),
    'tx_etracker_target_disjunct' => Array (
        'exclude' => 1,
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_target_disjunct',
        'config' => Array (
            'type' => 'check',
        )
    ),
    'tx_etracker_landingpage' => Array (
        'exclude' => 1,
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_landingpage',
        'config' => Array (
            'type' => 'input',
            'size' => '30',
            'eval' => 'trim'
        )
    ),
    'tx_etracker_subchannel' => array(
        'exclude' => 1,
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_subchannel',
        'config' => array(
            'type' => 'input',
            'size' => '30',
            'max' => '80',
            'eval' => 'trim'
        )
    ),
    'tx_etracker_ecommerce_event' => Array (
        'exclude' => 1,
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_ecommerce_event',
        'config' => Array (
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => array (
                array('', '0'),
                array('LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_ecommerce_event.I.1', '1'),
                array('LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_ecommerce_event.I.2', '2'),
            ),
            'size' => 1,
            'maxitems' => 1,
        )
    ),
    'tx_etracker_ecommerce_status' => Array (
        'exclude' => 1,
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_ecommerce_status',
        'config' => Array (
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => array (
                array('', '0'),
                array('LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_ecommerce_status.I.1', '1'),
                array('LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_ecommerce_status.I.2', '2'),
            ),
            'size' => 1,
            'maxitems' => 1,
        )
    ),
    'tx_etracker_ecommerce_id' => Array (
        'exclude' => 1,
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_ecommerce_id',
        'config' => Array (
            'type' => 'input',
            'eval' => 'trim',
        )
    ),
    'tx_etracker_ecommerce_name' => Array (
        'exclude' => 1,
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_ecommerce_name',
        'config' => Array (
            'type' => 'input',
            'eval' => 'trim',
        )
    ),
    'tx_etracker_ecommerce_cat1' => Array (
        'exclude' => 1,
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_ecommerce_cat1',
        'config' => Array (
            'type' => 'input',
            'eval' => 'trim',
        )
    ),
    'tx_etracker_ecommerce_cat2' => Array (
        'exclude' => 1,
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_ecommerce_cat2',
        'config' => Array (
            'type' => 'input',
            'eval' => 'trim',
        )
    ),
    'tx_etracker_ecommerce_cat3' => Array (
        'exclude' => 1,
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_ecommerce_cat3',
        'config' => Array (
            'type' => 'input',
            'eval' => 'trim',
        )
    ),
    'tx_etracker_ecommerce_cat4' => Array (
        'exclude' => 1,
        'label' => 'LLL:EXT:etracker/Resources/Private/Language/locallang.xlf:pages.tx_etracker_ecommerce_cat4',
        'config' => Array (
            'type' => 'input',
            'eval' => 'trim',
        )
    ),
);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns(
        'pages_language_overlay',
        $temporaryColumns,
        1
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
        'pages_language_overlay',
        '--div--;etracker, tx_etracker_areas;;;;1-1-1, tx_etracker_target, tx_etracker_target_disjunct, tx_etracker_landingpage, tx_etracker_subchannel'
);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
        'pages_language_overlay',
        '--div--;etracker (eCommerce), tx_etracker_ecommerce_event;;;;1-1-1, tx_etracker_ecommerce_status, tx_etracker_ecommerce_id, tx_etracker_ecommerce_name, tx_etracker_ecommerce_cat1, tx_etracker_ecommerce_cat2, tx_etracker_ecommerce_cat3, tx_etracker_ecommerce_cat4'
);

